Page MenuHomePhabricator

Exclude Wikimedia private wikis from the global title blacklist [[m:title blacklist]]
Closed, ResolvedPublic

Description

The private wikis of WMF are needed to record data of positive and negative nature, and the global title blacklist and global spam blacklist may contain data that needs to be recorded. ArbComs, Checkusers and Stewards are groups that specifically have a need to record data that may otherwise be blocked.

Event Timeline

Billinghurst raised the priority of this task from to Needs Triage.
Billinghurst updated the task description. (Show Details)
Billinghurst added a subscriber: Billinghurst.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 7 2015, 11:06 AM
hoo added a subscriber: hoo.Oct 7 2015, 11:11 AM

Which private wikis should be excluded? All of them?

TTO added a subscriber: TTO.Oct 7 2015, 11:13 AM

The spam blacklist already appears to be disabled on private wikis. Can you confirm whether this is the case?

M7 added a subscriber: M7.Oct 7 2015, 11:15 AM

It was the title blacklist that is the issue, and I guessed wrongly then for spam blacklist.

For title blacklists, yes all of them. Any title will be purposeful on a private wiki and for the people using these wikis the likelihood that it would be abuse is insignificant.

Change 244140 had a related patch set uploaded (by TTO):
Disable title blacklist on private wikis

https://gerrit.wikimedia.org/r/244140

TTO renamed this task from Exclude WMF private wikis from the global title blacklist and global spam blacklist to Exclude WMF private wikis from the global title blacklist.Oct 7 2015, 11:17 AM
TTO set Security to None.

makes sense, but note that the spam blacklist is already like this (it does not apply on sites with closed registration)

Glaisher renamed this task from Exclude WMF private wikis from the global title blacklist to Exclude WMF private wikis from the title blacklist.Oct 7 2015, 11:22 AM

Oh, I see that was already mentioned. Okay.

Glaisher renamed this task from Exclude WMF private wikis from the title blacklist to Exclude WMF private wikis from the global title blacklist.Oct 7 2015, 11:23 AM
Billinghurst renamed this task from Exclude WMF private wikis from the global title blacklist to Exclude WMF private wikis from the global title blacklist [[m:title blacklist]].Oct 7 2015, 11:24 AM
Legoktm renamed this task from Exclude WMF private wikis from the global title blacklist [[m:title blacklist]] to Exclude Wikimedia private wikis from the global title blacklist [[m:title blacklist]].Oct 7 2015, 3:03 PM

As I commented on https://gerrit.wikimedia.org/r/244140, I'm not sure why we wouldn't just uninstall the TitleBlacklist and SpamBlacklist extensions from private and fishbowl wikis. Is either extension needed on those wikis?

Luke081515 assigned this task to TTO.Oct 18 2015, 1:50 PM
Luke081515 added a subscriber: Luke081515.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 10:55 AM
Luke081515 triaged this task as Low priority.Nov 9 2015, 10:57 AM
Trijnstel added a comment.EditedDec 21 2015, 12:00 AM

Change 244140 had a related patch set uploaded (by TTO):
Disable title blacklist on private wikis
https://gerrit.wikimedia.org/r/244140

Why is this request still open, while a patch has been uploaded already? Are you still reviewing the patch? Or is it because of the comment by @MZMcBride? Does this require more discussion somewhere? Or is it for another reason I don't know about? Or...?

TTO added a subscriber: greg.Dec 21 2015, 12:39 AM

That patch is still unmerged, because @MZMcBride wants it to be done differently, and because @Krenair got a bit confused about how the settings work.

Personally I would just schedule the patch for deployment, as I don't think those objections are worth worrying about, but there are no more deployment windows until 11 January, unless you can convince @greg that this is a high-priority request...

Change 244140 merged by jenkins-bot:
Exempt private/fishbowl wikis from the global title blacklist

https://gerrit.wikimedia.org/r/244140

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 12 2016, 12:08 AM
Krenair closed this task as Resolved.Jan 12 2016, 12:39 AM